SINNTP(1)

NAME
sinntp - tiny non-interactive NNTP client

SYNOPSIS

sinntp command [options...] [args...]

DESCRIPTION

sinntp is a tiny NNTP client originally designed to work in non-interactive mode. Following operations are supported:

    • sending articles to the server,

    • fetching new articles to the mbox file,

    • downloading individual messages in RFC822 format,

    • listing available newsgroups.

COMMANDS

sinntp provides following commands:

    • get,

    • list,

    • pull,

    • push.

Above commands may also be invoked via convenience wrappers named in nntp-command scheme (e.g. nntp-get). See wrappers' manual pages for command synopsis and description.

GLOBAL OPTIONS

--version
    Show program's version number and exit.

-h, --help
    Show short help message end exit.

-v, --verbose
    Be more verbose (use multiple times to increase verbosity).

-q, --quiet
    Be less verbose (use multiple times to decrease verbosity).

-p, --plugin=plugin
    Load and use plugin.

-S, --server=host, --server=host:port
    Connect to the specified host and port. If omitted sinntp will use address stored in /etc/nntp/server file or in NNTPSERVER variable (the latter takes precedence over the former).

-U, --username=username
    Use specified username for authentication.

-P, --password=password
    Use specified password for authentication.

    Use with caution! The password may be visible to other users of the system.

--no-netrc
    Do not attempt to read authentication credentials (username, password) from the ~/.netrc file.

-t, --timeout=timeout
    Wait maximum timeout seconds during communication with the server.

Also, a particular command can support additional options.

PLUGINS

Pulled and pushed messages can be altered by the plugin mechanism. Currently sinntp package includes following plugins:

    • mimify - add default charset to the message when it is not present,

    • strip_headers - strip specified headers from message.

ENVIRONMENT VARIABLES

NNTPSERVER
    Address of the default NNTP server. It can be overridden by --server option.

XDG_DATA_HOME
    Location of sinntp data directory. See XDG Base Directory Specification[1] for details.

FILES

/etc/news/server
    A file with NNTP server address. Can be overridden by NNTPSERVER environment variable or --server option.

$XDG_DATA_HOME/sinntp/
    Location of sinntp data files.

SEE ALSO

nntp-get(1), nntp-list(1), nntp-push(1), nntp-pull(1)

COPYRIGHT
Copyright © 2009, 2010, 2011, 2012 Piotr Lewandowski, Jakub Wilk

NOTES

1.  XDG Base Directory Specification
    https://specifications.freedesktop.org/basedir-spec/latest/